Unseal Space
REST APIProjects

List the active workspace's projects

GET
/v1/projects

Every project owned by the caller's active workspace, most recently active first.

x-api-key<token>

Workspace-owned API key with per-resource permissions.

In: header

Query Parameters

filter?string

Value in

  • "all"
  • "starred"
  • "created"
  • "shared"

Response Body

application/json

curl -X GET "https://example.com/v1/projects"
[  {    "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",    "name": "string",    "starred": true,    "createdByUserId": "string",    "lastActivityAt": "2019-08-24T14:15:22Z",    "sandboxState": "none",    "activeMessageId": "3e025e2c-a0ca-4907-ad4c-be696d3cae98",    "createdAt": "2019-08-24T14:15:22Z",    "previewImageUrl": "http://example.com",    "provisioningState": "ready",    "provisioningError": "string",    "sourceTemplateVersionId": "8a4c4341-77cc-4a34-9a57-ab10b7cb34bc"  }]